<?php

/**

 * @package Scheduler

 * @author lagpro

 * @version 2.3.1

 */

// Add this file 'scheduler_add.php' to the main scheduler.php file.  It should be added with the
//   other require_once at the start of the file.  Keeping the code seperate from the main file is
//   a good idea since there is not ana api or abstraction to seperate the addition and if the plugin
//   get's upgraded, you will not lose your changes.
//
//require_once(WP_PLUGIN_DIR.'/event-calendar-scheduler/codebase/dhtmlxSchedulerConfigurator.php');
//require_once(WP_PLUGIN_DIR.'/event-calendar-scheduler/scheduler_add.php');
//require_once(WP_PLUGIN_DIR.'/event-calendar-scheduler/SchedulerHelper.php');





wp_register_sidebar_widget('todayevents_widget', __('Today events', 'scheduler'), 'todayevents_widget');

function schedulertoday_sidebar() {

	global $wpdb, $scheduler_prefix, $scheduler_table_name, $scheduler_lang, $usertypes, $current_user, $scheduler_userid, $scheduler_cfg;



	$usertype = $current_user->user_level;

	if (isset($current_user->roles[0])) {

		$usertype = $current_user->roles[0];

	} else {

		$usertype = 'guest';

	}



	if ($scheduler_cfg->get_option("access_".$usertype."View") != 'true') {

		return '';

	}



	include(WP_PLUGIN_DIR.'/event-calendar-scheduler/sidebar.php');

	$final = '<ul>';

    $helper = new SchedulerHelper($connection, $table_name);
    $start = date('Y-m-d 0:0:0');
	$endd = date('Y-m-d 23:23:59');
	$dates = new SchedulerHelper($wpdb->dbh, $scheduler_prefix.'events_rec');

	$events = $dates->get_dates($start, $endd);

    	if (count($events) == 0) {

		$final = '';

	}
    
    	for ($i = 0; $i < count($events); $i++) {

		$event = $sidebarEvent;

		$url_rand = $url.((strpos($url, "?") !== false) ? "&" : "?")."dhx_rand=".rand(10000, 99000);

		$start_date = str_replace("-", "/", $events[$i]['start_date']);

		$start_date = date_parse($events[$i]['start_date']);

		$start_date = mktime($start_date['hour'], $start_date['minute'], $start_date['second'], $start_date['month'], $start_date['day'], $start_date['year']);

		$start_date = date_i18n(get_option('date_format').' '.get_option('time_format'), $start_date);

		$event = str_replace("{*URL*}", $url_rand, $event);

		$event = str_replace("{*DATE*}", $start_date, $event);

		$event = str_replace("{*DATE_SQL*}", $events[$i]['start_date'], $event);

		$event = str_replace("{*TEXT*}", stripslashes($events[$i]['text']), $event);

		$final .= $event;

	}

	$final .= '</ul>';

	return $final;

}

function todayevents_widget($args) {

    extract($args);

	echo $before_widget;

	echo $before_title;

	echo __('Today Events', 'scheduler');

	echo $after_title;

	echo schedulertoday_sidebar();

	echo $after_widget;

}

//
//  This is a mod to a function in the scheduler.php file.
//  You need to add this code so that the sidebar content get's processed.

//function scheduler_check($content) {
//
//	global $scheduler_lang;
//
//	$ver = phpversion();
//
//	$ver_main = (int) substr($ver, 0, 1);
//
//	if ( $ver_main < 5) {
//
//		return __('Installation error: Event Calendar / Scheduler plugin requires PHP 5.x', 'scheduler');
//
//	}
//
//
//
//	if (strpos($content, "[[scheduler_plugin]]") !== FALSE)  {
//
//		$content = preg_replace('/<p>\s*\[\[(.*)\]\]\s*<\/p>/i', "[[$1]]", $content);
//
//		$content = preg_replace('/\[\[scheduler_plugin\]\]/Ui', scheduler_init(), $content, 1);
//
//		$content = str_replace('[[scheduler_plugin]]', '', $content);
//
//	}
//
//	if (strpos($content, "[[scheduler_sidebar]]")) {
//
//		$content = preg_replace('/<p>\s*\[\[(.*)\]\]\s*<\/p>/i', "[[$1]]", $content);
//
//		$content = str_replace('[[scheduler_sidebar]]', scheduler_sidebar(), $content);
//
//	}

//  Add this section to the function so that it is processed 
//    
//    if (strpos($content, "[[schedulertoday_sidebar]]")) {
//
//		$content = preg_replace('/<p>\s*\[\[(.*)\]\]\s*<\/p>/i', "[[$1]]", $content);
//
//		$content = str_replace('[[schedulertoday_sidebar]]', schedulertoday_sidebar(), $content);
//
//	}
//
//	return $content;
//
//}
//
?>